# Parametric category available parameters

Returns all available parameters for a parent category that can be used when creating
parametric categories and their combinations.

The "Advanced SEO" module must be active to use this endpoint.

Endpoint: GET /api/parametric-categories-available-parameters/{categoryGuid}
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `categoryGuid` (string, required)
    Guid of the parent category.
    Example: "5c498fb7-70ac-11e9-9208-08002774f818"

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.categoryGuid` (string, required)
    Unique identifier of the parent category

  - `data.categoryName` (string, required)
    Name of the parent category

  - `data.parameters` (array, required)
    All parameters available for parent category that can be used when creating parametric categories and their combinations

  - `data.parameters.parameterCode` (string, required)
    Code of the parameter

  - `data.parameters.parameterName` (string, required)
    Name of the parameter

  - `data.parameters.parameterType` (string, required)
    Type of the parameter — PV (variant parameter) or PF (filtering parameter)
    Enum: "PV", "PF"

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

## Response 403 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)


